<ali:Get ID="Shop" Object="Shop" InnerID="Request.QueryString['ShopID']" Lang="PageLang" />
<ali:List ID="Operator" Object="Operator" Condition="UserID=User['ID'] and ShopID=Shop[ID]" Lang="PageLang" />
<script language="c#" runat="server">
protected string UserRight
{
	get
	{
		string role = Manager.User["Roles"];
		if (Operator.Rows.Count == 0)
			return role;

		if (String.IsNullOrEmpty(role))
			role = "|";
		role += Operator.Rows[0][Alias.Operator.RoleNo] + "|";
		
		Dictionary<string, string> kvs = new Dictionary<string, string>();
		kvs["Roles"] = role;
		kvs["ShopID"] = Shop[Alias.Shop.ID].ToString();
		
		Manager.AddToUser(kvs);
		return role;
	}
}
</script>
<%=UserRight%>